Accounts APINamed accounts

Get named account order status

GET
/orders/named-accounts/{id}

Authorization

BearerAuth
headerAuthorizationBearer <JWT>

Path Parameters

id*string

Unique identifier of the named account order

Formatuuid

Header Parameters

X-Volt-Api-Version*1

Version of the API used. Currently, version 1 is the only version.

Value in1

Response Body

Named account order details retrieved successfully

application/json
  1. response

Named account order status and details.

id?string

Unique identifier of the named account order

Formatuuid
onboardingEntityId?string

ID of the associated onboarding entity

Formatuuid
accountId?|

ID of the created account (only present when status is COMPLETED)

Formatuuid
status?NamedAccountOrderStatusEnum

Current status of the named account order

Value in"PROCESSING""COMPLETED""FAILED"
statusReason?string

Reason for the current status (e.g., failure reason)

createdAt?string

Timestamp when the order was created

Formatdate-time
completedAt?string

Timestamp when the account was created

Formatdate-time
Example Request
curl -X GET 'https://accounts.sandbox.volt.io/orders/named-accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'X-Volt-Api-Version: 1'
Example Response
{  "id": "order-5678-90ab-cdef-1234567890ab",  "onboardingEntityId": "a1b2c3d4-5678-90ab-cdef-1234567890ab",  "status": "PROCESSING",  "statusReason": null,  "createdAt": "2025-12-03T15:00:00Z",  "completedAt": null}